Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor.alerts
Interface EmailAlertListenerMBean

All Superinterfaces:
  EventListener, JBossAlertListenerMBean, javax.management.NotificationListener, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  EmailAlertListener

public interface EmailAlertListenerMBean
extends JBossAlertListenerMBean

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addToAddress(String newAddress)`
`String` | `getFrom()`
`String` | `getMessageTemplate()`
`String` | `getReplyTo()`
`String` | `getSubjectTemplate()`
`String` | `getTo()`
`void` | `removeToAddress(String removeAddress)`
`void` | `setFrom(String f)`
`void` | `setMessageTemplate(String messageTemplate)`
`void` | `setReplyTo(String f)`
`void` | `setSubjectTemplate(String messageTemplate)`
`void` | `setTo(String t)`

Methods inherited from interface org.jboss.monitor.alerts.JBossAlertListenerMBean
`getAlertName, setAlertName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationListener
`handleNotification`

Method Detail

### getTo

    public String getTo()

### setTo

    public void setTo(String t)
               throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### addToAddress

    public void addToAddress(String newAddress)
                      throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### removeToAddress

    public void removeToAddress(String removeAddress)
                         throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String f)
                 throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String f)
                    throws javax.mail.internet.AddressException

  Throws:
    `javax.mail.internet.AddressException`

### getMessageTemplate

    public String getMessageTemplate()

### setMessageTemplate

    public void setMessageTemplate(String messageTemplate)

### getSubjectTemplate

    public String getSubjectTemplate()

### setSubjectTemplate

    public void setSubjectTemplate(String messageTemplate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.